grk::Profile Class Reference

`#include <Profile.h>`

## Static Public Member Functions

static void | initialise_4K_poc (grk_progression *POC, uint8_t numres)
static void | set_cinema_parameters (grk_cparameters *parameters, GrkImage *image)
static bool | is_cinema_compliant (GrkImage *image, uint16_t rsiz)
static void | set_imf_parameters (grk_cparameters *parameters, GrkImage *image)
static bool | is_imf_compliant (grk_cparameters *parameters, GrkImage *image)
static void | set_broadcast_parameters (grk_cparameters *parameters)
static bool | is_broadcast_compliant (grk_cparameters *parameters, GrkImage *image)

## Static Private Member Functions

static int | get_imf_max_NL (grk_cparameters *parameters, GrkImage *image)
static int | get_broadcast_max_NL (grk_cparameters *parameters, GrkImage *image)

## Member Function Documentation

## get_broadcast_max_NL()

int grk::Profile::get_broadcast_max_NL | ( | grk_cparameters * | parameters,
|  | GrkImage * | image
| ) |  |

static private

References GRK_GET_IMF_OR_BROADCAST_PROFILE, GRK_PROFILE_IMF_2K, GRK_PROFILE_IMF_2K_R, GRK_PROFILE_IMF_4K, GRK_PROFILE_IMF_4K_R, GRK_PROFILE_IMF_8K, GRK_PROFILE_IMF_8K_R, grk::grk_read(), and _grk_image::x1.

## get_imf_max_NL()

int grk::Profile::get_imf_max_NL | ( | grk_cparameters * | parameters,
|  | GrkImage * | image
| ) |  |

static private

References GRK_GET_IMF_OR_BROADCAST_PROFILE, GRK_PROFILE_IMF_2K, GRK_PROFILE_IMF_2K_R, GRK_PROFILE_IMF_4K, GRK_PROFILE_IMF_4K_R, GRK_PROFILE_IMF_8K, GRK_PROFILE_IMF_8K_R, grk::grk_read(), and _grk_image::x1.

Referenced by set_imf_parameters().

## initialise_4K_poc()

void grk::Profile::initialise_4K_poc | ( | grk_progression * | POC,
|  | uint8_t | numres
| ) |  |

static

References GRK_CPRL, and grk::grk_read().

Referenced by set_cinema_parameters().

## is_broadcast_compliant()

bool grk::Profile::is_broadcast_compliant | ( | grk_cparameters * | parameters,
|  | GrkImage * | image
| ) |  |

static

References _grk_image::comps, _grk_image_comp::dx, _grk_image_comp::dy, GRK_CPRL, GRK_GET_IMF_OR_BROADCAST_PROFILE, GRK_GET_LEVEL, GRK_LEVEL_MAX, GRK_PROFILE_BC_MULTI, GRK_PROFILE_BC_SINGLE, grk::grk_read(), grk::GRK_WARN(), _grk_image::numcomps, _grk_image_comp::prec, _grk_image_comp::sgnd, _grk_image::x0, _grk_image::x1, _grk_image::y0, and _grk_image::y1.

Referenced by grk::CodeStreamCompress::init().

## is_cinema_compliant()

bool grk::Profile::is_cinema_compliant | ( | GrkImage * | image,
|  | uint16_t | rsiz
| ) |  |

static

References _grk_image::comps, GRK_PROFILE_CINEMA_2K, GRK_PROFILE_CINEMA_4K, grk::grk_read(), grk::GRK_WARN(), _grk_image_comp::h, _grk_image::numcomps, _grk_image_comp::prec, _grk_image_comp::sgnd, and _grk_image_comp::w.

Referenced by grk::CodeStreamCompress::init().

## is_imf_compliant()

bool grk::Profile::is_imf_compliant | ( | grk_cparameters * | parameters,
|  | GrkImage * | image
| ) |  |

static

References _grk_image::comps, _grk_image_comp::dx, _grk_image_comp::dy, GRK_CPRL, GRK_GET_IMF_OR_BROADCAST_PROFILE, GRK_GET_IMF_SUBLEVEL, GRK_GET_LEVEL, GRK_LEVEL_MAX, GRK_PROFILE_IMF_2K, GRK_PROFILE_IMF_2K_R, GRK_PROFILE_IMF_4K, GRK_PROFILE_IMF_4K_R, GRK_PROFILE_IMF_8K, GRK_PROFILE_IMF_8K_R, grk::grk_read(), grk::GRK_WARN(), _grk_image_comp::h, _grk_image::numcomps, _grk_image_comp::prec, _grk_image_comp::sgnd, grk::tabMaxSubLevelFromMainLevel, _grk_image_comp::w, _grk_image::x0, _grk_image::x1, _grk_image::y0, and _grk_image::y1.

Referenced by grk::CodeStreamCompress::init().

## set_broadcast_parameters()

void grk::Profile::set_broadcast_parameters | ( | grk_cparameters * | parameters | ) |

static

References grk::GRK_COMP_PARAM_DEFAULT_NUMRESOLUTION, GRK_CPRL, GRK_GET_IMF_OR_BROADCAST_PROFILE, GRK_PROFILE_BC_MULTI_R, grk::grk_read(), and J2K_CP_CSTY_PRT.

Referenced by grk::CodeStreamCompress::init().

## set_cinema_parameters()

void grk::Profile::set_cinema_parameters | ( | grk_cparameters * | parameters,
|  | GrkImage * | image
| ) |  |

static

References _grk_image::comps, _grk_image_comp::dx, _grk_image_comp::dy, GRK_CINEMA_24_COMP, GRK_CINEMA_24_CS, GRK_CPRL, GRK_PROFILE_CINEMA_2K, GRK_PROFILE_CINEMA_4K, grk::grk_read(), grk::GRK_WARN(), _grk_image_comp::h, initialise_4K_poc(), J2K_CP_CSTY_PRT, _grk_image::numcomps, _grk_image_comp::prec, and _grk_image_comp::w.

Referenced by grk::CodeStreamCompress::init().

## set_imf_parameters()

void grk::Profile::set_imf_parameters | ( | grk_cparameters * | parameters,
|  | GrkImage * | image
| ) |  |

static

References get_imf_max_NL(), grk::GRK_COMP_PARAM_DEFAULT_CBLOCKH, grk::GRK_COMP_PARAM_DEFAULT_CBLOCKW, grk::GRK_COMP_PARAM_DEFAULT_NUMRESOLUTION, grk::GRK_COMP_PARAM_DEFAULT_PROG_ORDER, GRK_CPRL, GRK_GET_IMF_OR_BROADCAST_PROFILE, GRK_PROFILE_IMF_2K, GRK_PROFILE_IMF_4K, GRK_PROFILE_IMF_8K, grk::grk_read(), J2K_CP_CSTY_PRT, _grk_image::x0, _grk_image::x1, _grk_image::y0, and _grk_image::y1.

Referenced by grk::CodeStreamCompress::init().

The documentation for this class was generated from the following files:

- Profile.h
- Profile.cpp